Submit Search Feedback
curl --request POST \
--url https://api.pureframe.ai/v1/search/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'video_id=<string>' \
--data timestamp_start=123 \
--data 'signal=<string>' \
--data 'query=<string>' \
--data raw_score=123 \
--data 'threshold_key=<string>'import requests
url = "https://api.pureframe.ai/v1/search/feedback"
payload = {
"video_id": "<string>",
"timestamp_start": "123",
"signal": "<string>",
"query": "<string>",
"raw_score": "123",
"threshold_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
video_id: '<string>',
timestamp_start: '123',
signal: '<string>',
query: '<string>',
raw_score: '123',
threshold_key: '<string>'
})
};
fetch('https://api.pureframe.ai/v1/search/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": null,
"meta": {
"request_id": "<string>",
"took_ms": 123,
"total": 123,
"page": 123,
"per_page": 123,
"facets": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Search
Submit Search Feedback
POST
/
v1
/
search
/
feedback
Submit Search Feedback
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/x-www-form-urlencoded